Protocol Not Supported - Centos 6

PPTP related questions
Post Reply
stevep
Posts: 1
Joined: 16 May 2016, 22:40

Protocol Not Supported - Centos 6

Post by stevep » 16 May 2016, 22:48

Hi,
I have compiled latest release on centos 6. My cmake line specifies PPTP driver as follows:
cmake -DKDIR=/usr/src/kernels/2.6.32-573.22.1.el6.x86_64/ -DBUILD_PPTP_DRIVER=TRUE ../accel-ppp-1.10.2

After make install, I try to connect using pptp client but get following logs:

[2016-05-16 22:37:29]: info: pptp: new connection from 10.50.1.186
[2016-05-16 22:37:29]: info: : recv [PPTP Start-Ctrl-Conn-Request <Version 1> <Framing 3> <Bearer 3> <Max-Chan 65535>]
[2016-05-16 22:37:29]: info: : send [PPTP Start-Ctrl-Conn-Reply <Version 1> <Result 1> <Error 0> <Framing 3> <Bearer 3> <Max-Chan 1>]
[2016-05-16 22:37:30]: info: : recv [PPTP Outgoing-Call-Request <Call-ID 0> <Call-Serial 0> <Min-BPS 2400> <Max-BPS 10000000> <Bearer 3> <Framing 3> <Window-Size 3> <Delay 0>]
[2016-05-16 22:37:30]: error: : failed to create PPTP socket (Protocol not supported)
[2016-05-16 22:37:30]: debug: : pptp: disconnect
[2016-05-16 22:37:30]: info: : disconnected

Looking at dmesg I see that the pptp driver did not load successfully.

[root@intrsitun ~]# dmesg | grep -i pptp
PPTP driver version 0.8.5
PPTP: can't add protocol

Is the driver compatible with centos 6.7? Any one else able to get past this problem?

Here is my config if it helps:

[root@intrsitun ~]# cat /etc/accel-ppp.conf
[modules]
#log_syslog
log_file
pptp
auth_mschap_v2
ippool
chap-secrets

[core]
log-error=/var/log/accel-ppp/core.log
thread-count=4

[ppp]
verbose=1
min-mtu=1280
mtu=1400
mru=1400
ipv4=require
ipv6=deny

[lcp]
echo-interval=30
echo-failure=3

[pptp]
verbose=1
echo-interval=30

[client-ip-range]
disable

[ip-pool]
gw-ip-address=192.168.2.1
192.168.2.2-255

[log]
log-emerg=/var/log/accel-ppp/emerg.log
syslog=accel-pppd,daemon
copy=1
level=5
log-file=/var/log/accel-ppp/access.log
log-fail-file=/var/log/accel-ppp/access-fail.log


[chap-secrets]
gw-ip-address=172.25.2.20
chap-secrets=/etc/ppp/chap-secrets

[cli]
telnet=127.0.0.1:2000
tcp=127.0.0.1:2001
#password=123

dimka88
Posts: 564
Joined: 13 Oct 2014, 05:51
Contact:

Re: Protocol Not Supported - Centos 6

Post by dimka88 » 17 May 2016, 05:01

Update your kernel to 3.X.

EdwardGiblY
Posts: 1
Joined: 20 Mar 2019, 04:31
Location: Zimbabwe
Contact:

Protocol Not Supported Centos 6

Post by EdwardGiblY » 23 Mar 2019, 23:41

Does anyone have documented installation procedures for CentOS? I have followed the install instructions from the Pacsone website but I am not sure about some of the permissions settings.

dimka88
Posts: 564
Joined: 13 Oct 2014, 05:51
Contact:

Re: Protocol Not Supported - Centos 6

Post by dimka88 » 24 Mar 2019, 05:12

If you need modules ipoe and vlan_mon, you need install vanilla kernel or kernel and headers from elrepo. For kernels higher then 2.6.26 build -DBUILD_PPTP_DRIVER=TRUE not need, module exist in kernel

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest